Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherPropertyFactory

    java.lang.Object
      org.apache.poi.ddf.EscherPropertyFactory

public class EscherPropertyFactory
extends java.lang.Object

Generates a property given a reference into the byte array storing that property.

Author:
  Glen Stampoultzis

Constructor Summary
`EscherPropertyFactory()`

Method Summary
`java.util.List` | `createProperties(byte[] data, int offset, short numProperties)` Create new properties from a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherPropertyFactory

    public EscherPropertyFactory()

Method Detail

### createProperties

    public java.util.List createProperties(byte[] data,
                                           int offset,
                                           short numProperties)

  Create new properties from a byte array.

  Parameters:
    `data` - The byte array containing the property
    `offset` - The starting offset into the byte array
  Returns:
    The new properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.